/****************************************************************************
** ui.h extension file, included from the uic-generated form implementation.
**
** If you want to add, delete, or rename functions or slots, use
** Qt Designer to update this file, preserving your code.
**
** You should not define a constructor or destructor in this file.
** Instead, write your code in functions called init() and destroy().
** These will automatically be called by the form's constructor and
** destructor.
*****************************************************************************/

void ConversionForm::convert()
{
	fromComboBoxList = ((0, 1000000.0), (1,1000.0), (2,10.0), (3, 1.0))
	toComboBoxList = ((0, 63360.0), (1, 36.0), (2, 12.0), (3, 1.0))

	# internally convert the input to millimeters
	scaledInput = float(self.numberLineEdit.text().ascii()) * fromComboBoxList[self.fromComboBox.currentItem()][1]

        #convert to inches
	result = scaledInput * 0.0393701 / toComboBoxList[self.toComboBox.currentItem()][1]

	# set the result
	decimals = self.decimalsSpinBox.value()
	self.resultLineEdit.setText(("%."+`decimals`+"f") % result)
}




